<?php 
include "cuerpoMensaje.php";
use \Mailjet\Resources;
use Google\Cloud\Storage\StorageClient;

function directorio(){ return  baseDir()."archivos".DIRECTORY_SEPARATOR;}

function baseDir(){$v=__DIR__; return substr(rtrim($v, DIRECTORY_SEPARATOR), 0, strrpos($v, DIRECTORY_SEPARATOR)).DIRECTORY_SEPARATOR; }

function baseLlave(){ return basedir()."dependencias".DIRECTORY_SEPARATOR."storage".DIRECTORY_SEPARATOR."key.json"; }

function pruebaSubir11($img){
$storage = new StorageClient(['keyFile'=>json_decode(file_get_contents(baseLlave()), true)]);
$bucket = $storage->bucket('importadorapremiumonline');  
$opcion1 = ['resumable' => true,'name' => 'dependencias/img/'.$img,'metadata' => ['contentLanguage' => 'en']];
$subir1=$bucket->upload(fopen(directorio().$img, "r"),$opcion1);
return $img;
}

function imagenAdic11($base64,$carpetaSubida,$tipo,$nA){ try { $dir=directorio();
$r1=mt_rand(999,999999999); $r2=mt_rand(999,999999999); $r3=mt_rand(999,999999999); $nombreImagen=$nA.$r1."_".$r2."_".$r3.".".$tipo; $imagen=$base64;
$storage = new StorageClient(['keyFile'=>json_decode(file_get_contents(baseLlave()), true)]);
$bucket = $storage->bucket('importadorapremiumonline');
if($imagen!="vacio"){ file_put_contents($dir.$nombreImagen, base64_decode($imagen));

if($tipo=="wav"){$input = $dir.$nombreImagen; $nombreNuevo=$nA.$r1."_".$r2."_".$r3."."."mp3"; $output = $dir.$nombreNuevo;
$command = "python3 ".baseDir()."conversion.py $input $output";
exec($command, $output_lines, $status); if($status === 0) {$nombreImagen=$nombreNuevo;} }
    
$opcion1 = ['resumable' => true,'name' => 'dependencias/img/'.$carpetaSubida.'/'.$nombreImagen,'metadata' => ['contentLanguage' => 'en']];
$subir1=$bucket->upload(fopen(directorio().$nombreImagen, "r"),$opcion1); $rutaImagen="dependencias/img/".$carpetaSubida."/".$nombreImagen;
}else{$rutaImagen="dependencias/img/general/imagen_base_productos.png";} return $rutaImagen; }catch(Exception $ex){return NULL;}}

function enviarCorreo($correo,$nombre,$contenido,$asunto,$asunto2){
try{ $mj = new \Mailjet\Client('af7c77afb3382d0e7083e46a3b1c95ec','8be767b34cd4c6b10b48a38e1968b25e',true,['version' => 'v3.1']);
$body = ['Messages' => [['From' => ['Email' => "administrador@importadorapremiumonline.com",'Name' => "Servicios Importadora Premium Online"],
'To' => [['Email' => $correo,'Name' => $nombre]],'Subject' => $asunto,'TextPart' => $asunto2,'HTMLPart' => $contenido,
'CustomID' => "mensaje entrega".mt_rand(9999,9999)]]];
$response = $mj->post(Resources::$Email, ['body' => $body]);
if($response->success()){return 1;}else{return 0;}}catch(Exception $e){var_dump($e); return 2;} }


function envioCorreoGeneral($clave,$correo){
$asunto="Verificacion de correo electronico ";
$a=new ConsultasChat(); $a1=$a->consultaCorreosCompara($correo); $cuerpo =  cuerpoAA($clave);
if($a1!=NULL){$envio=enviarCorreo($correo,"Cliente IPO",$cuerpo,$asunto,$asunto);
if($envio==2 || $envio==0){$envio=enviarCorreo($correo,"Cliente IPO",$cuerpo,$asunto,$asunto);}
if($envio==1){$paso["paso"]="paso";}else{$paso["paso"]="error servidor";}
}else{$paso["paso"]="no paso";} return json_encode($paso); }


function envioCorreo($correo,$clave){
$asunto="Verificacion de correo electronico (recuperacion de contraseña) ";
$a=new ConsultasChat(); $a1=$a->consultaCorreosCompara($correo); $cuerpo = cuerpoBB($clave);
if($a1!=NULL){$envio=enviarCorreo($correo,"Cliente IPO",$cuerpo,$asunto,$asunto);
if($envio==2 || $envio==0){$envio=enviarCorreo($correo,"Cliente IPO",$cuerpo,$asunto,$asunto);}
if($envio==1){$paso["paso"]="paso";}else{$paso["paso"]="error servidor";}
}else{$paso["paso"]="no paso";} return json_encode($paso); }

?>